import React, { useState } from 'react';
import { TableRow } from "../../../elements/Table";
import { SessionItemProgress } from './SessionItemProgress';
import { SessionItemAction } from './SessionItemAction';
import { SessionItemDetails } from './SessionItemDetails';
import { TBodyHighlighted, TCellSmall, ClickableTableRow, SessionNameWrapper, ToggleArrow, SessionName, } from './styles';
export var SessionItem = function (_a) {
    var session = _a.session;
    var _b = useState(false), expanded = _b[0], setExpanded = _b[1];
    var toggleExpanded = function () { return setExpanded(function (exp) { return !exp; }); };
    return (React.createElement(TBodyHighlighted, { isOpened: expanded },
        React.createElement(ClickableTableRow, { onClick: toggleExpanded },
            React.createElement(TCellSmall, null,
                React.createElement(SessionNameWrapper, null,
                    React.createElement(ToggleArrow, { isOpened: expanded }),
                    React.createElement(SessionName, { title: session.name }, session.name))),
            React.createElement(TCellSmall, null,
                React.createElement(SessionItemProgress, { progress: session.progress })),
            React.createElement(TCellSmall, { width: 155 },
                React.createElement(SessionItemAction, { actions: session.actions }))),
        expanded && (React.createElement(TableRow, null,
            React.createElement(TCellSmall, { colSpan: 3 },
                React.createElement(SessionItemDetails, { session: session }))))));
};
