import { HiroColors } from "../../../types";
export interface BoxProps {
    /** A box can center it's content horizontally */
    centered?: boolean | 'spaced';
    /** A box can be coloured */
    color?: HiroColors;
    /** A box can change it's flex direction */
    direction?: 'row' | 'column';
    /** A box can float left or right */
    floated?: 'left' | 'right';
    /** A box can be padded, with optional extra padding */
    padded?: boolean | 'extra';
    /** A box can have a border */
    bordered?: boolean | HiroColors;
    /** A box can be raised by adding a shadow */
    raised?: boolean;
    /** A box can control it's responsive width for different screen sizes */
    size?: number | number[];
    /** A box can have hardcoded sizes */
    width?: string | number;
    height?: string | number;
    /** A box can stretch it's content */
    stretched?: boolean;
    /** A box can align it's text */
    textAlign?: 'left' | 'right' | 'center' | 'justify';
    /** A box can vertically align it's content */
    verticalAlign?: 'start' | 'center' | 'end';
    /** A box can horizontally align it's content */
    horizontalAlign?: 'start' | 'center' | 'end' | 'left' | 'right';
    wrap?: 'wrap' | 'nowrap';
}
export declare const Box: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, BoxProps, never>;
export declare const Circle: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, BoxProps & {
    centered: boolean;
    verticalAlign: string;
}, "verticalAlign" | "centered">;
export default Box;
