/// <reference types="react" />
import Client, { TimeseriesResponse } from '@hiro-graph/client';
import { TimeseriesQuery, TimeseriesResult } from '../../hooks';
import { DataTimeseriesName, StatisticData, ViewType } from '../../types';
export declare enum ChartType {
    weekly = "weekly",
    monthly = "monthly",
    annual = "annual"
}
export interface RateProps {
    value: number;
    name: string;
}
export declare const configureDifferenceText: (difference: number, differenceText: string, title: string, date?: number | undefined) => string;
export declare const calculateAngle: (title: string, todayValue: number, difference: number) => number;
export declare function getStatsData(config: StatisticData, data: TimeseriesResult, viewType?: ViewType): StatisticData;
export declare function parseResult(result: TimeseriesResult): number[];
export declare function useStatisticsData(client: Client, name: DataTimeseriesName, { from, to, limit }: TimeseriesQuery): [TimeseriesResult, import("react").Dispatch<import("react").SetStateAction<TimeseriesQuery>>];
export declare function parseResultForChart(result: TimeseriesResult, parseFn: (item: TimeseriesResponse) => RateProps): RateProps[];
export declare function mapDaysRateForCharts(item: TimeseriesResponse): {
    name: string;
    value: number;
};
export declare function mapMonthsRateForCharts(item: TimeseriesResponse): {
    name: string;
    value: number;
};
export declare function mapYearsRateForCharts(item: TimeseriesResponse): {
    name: string;
    value: number;
};
export declare function createDaysArr(daysNumber: number | undefined, currentDate: number): number[];
export declare function createMonthsArr(monthsNumber: number | undefined, currentDate: number): number[];
export declare function createYearsArr(yearsNumber: number | undefined, currentDate: number): number[];
export declare function getWeeksRate(controlData: TimeseriesResult, controlDateList: number[]): {
    result: TimeseriesResponse[];
    loading: boolean;
    error: boolean;
};
export declare function getMonthsRate(controlData: TimeseriesResult, controlDateList: number[]): {
    result: TimeseriesResponse[];
    loading: boolean;
    error: boolean;
};
export declare function getYearsRate(controlData: TimeseriesResult, controlDateList: number[]): {
    result: {
        timestamp: number;
        value: string;
    }[];
    loading: boolean;
    error: boolean;
};
