var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import styled from 'styled-components';
import defaultTheme from 'theme';
import { Spinner } from 'components/icons';
var SIZES = {
    mini: '14px',
    tiny: '16px',
    small: '24px',
    medium: '32px',
    large: '48px',
    big: '52px',
    huge: '58px',
    massive: '64px',
};
var baseStyle = function (_a) {
    var inline = _a.inline;
    if (inline) {
        return {
            margin: inline === 'fitted' ? '0' : '0 0.25em',
            width: '1em',
            height: '1em',
        };
    }
    return {
        position: 'absolute',
        top: '50%',
        left: '50%',
        transform: 'translateX(-50%) translateY(-50%)',
        zIndex: 1,
    };
};
var display = function (_a) {
    var inline = _a.inline, active = _a.active, centered = _a.centered, children = _a.children;
    if (!active) {
        return { display: 'none' };
    }
    if (centered) {
        return { display: 'flex', justifyContent: 'center' };
    }
    if (inline) {
        return { display: 'inline-block' };
    }
    if (children) {
        return { display: 'flex', flexFlow: 'column nowrap', alignItems: 'center' };
    }
    return { display: 'block' };
};
export var Loader = styled(function (_a) {
    var children = _a.children, theme = _a.theme, rest = __rest(_a, ["children", "theme"]);
    return (React.createElement("div", __assign({}, rest),
        React.createElement(Spinner, { loading: true }),
        children && React.createElement("div", { className: "content" }, children)));
})({
    textAlign: 'center',
    margin: 0,
}, baseStyle, function (_a) {
    var centered = _a.centered;
    return (centered ? { width: '100%' } : null);
}, function (_a) {
    var theme = _a.theme, inverted = _a.inverted, size = _a.size;
    var color = theme.colors[inverted ? 'white' : 'primaryText'].default;
    return {
        color: color,
        fontSize: SIZES[size || 'medium'],
        '& > svg': {
            display: 'block',
            width: '1em',
            height: '1em',
            fill: color,
        },
        '& > .content': {
            fontSize: '0.5em',
        },
    };
}, display);
Loader.defaultProps = {
    theme: defaultTheme,
};
